Set Define "&"
Set Verify Off

Whenever SQLError Exit 1

Declare
  iCount      Number;
  vcTbspName  Varchar2(100) := Pvm_Client.Get_Root ||'_EVNT';
Begin
  Select /*+ RULE */
         Count(*)
    Into iCount
    From DBA_INDEXES
   Where Table_Name = 'EVENT_DESC_HIST'
     And Index_Name = 'ID_EVDH_4_2';

  If iCount = 0 Then
    Execute Immediate ' Create Index ID_EVDH_4_2 '||
                      '   On EVENT_DESC_HIST ( Idx_Resource, '||
                      '                        Dte_Date ) '||
                      '   Storage ( Initial 1024K Next 1024K PctIncrease 0 ) '||
                      '   Tablespace '||vcTbspName;
    DBMS_Stats.Gather_Table_Stats( Ownname => Pvm_Client.Get_Root || '_ADMIN',
                                   Tabname => 'EVENT_DESC_HIST',
                                   Estimate_Percent => 3,
                                   Cascade => TRUE );
  End If;
End;
/

Exit;

